/* Homepage specific styling goes here. Excluded on all subpages */
/* For most builds, this stylesheet should be wiped and started fresh */

/* PRELOADER */
.preloader-outer {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: 9;
	width: 100%;
	height: 100vh;
	background-color: white;
	transition: opacity 600ms ease-out;
}

.preloader-outer.active {
	visibility: visible !important;
}

.preloader-outer.preloader-remove {
	opacity: 0;
	pointer-events: none;
}

.preloader-inner {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
}

.preloader-inner p {
	margin-bottom: 15px;
}

.preloader-inner p:last-of-type {
	margin: 0;
}

.preloader-part {
	display: none;
	margin: 20px;
}

.preloader-part-left.active {
	display: block;
	-webkit-animation: fadeInRight 800ms ease-out;
	animation: fadeInRight 800ms ease-out;
}

.preloader-part-right.active {
	display: block;
	-webkit-animation: fadeInLeft 500ms ease-out;
	animation: fadeInLeft 500ms ease-out;
}

/* HOME HERO */
.hero .row {
	max-width: 1200px;
}

.hero-slider {
	position: relative;
	width: 100%;
}

.hero-image {
	position: relative;
	width: 100%;
	height: 656px;
}

.hero-image-large {
	width: 100%;
	height: 100%;
	position: relative;
}

.hero-image-large:after {
	background: linear-gradient(20deg, rgba(0, 0, 0, 1) 30%, rgba(0, 0, 0, 0) 70%);
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: .35;
}

.hero-image-large:before {
	background: linear-gradient(20deg, rgba(29, 44, 90, 1) 30%, rgba(29, 44, 90, 0) 70%);
	opacity: .85;
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.hero-image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
}

.hero-content {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	z-index: 2;
	color: var(--color-white);
	padding-bottom: 75px;
}

.hero-content .hero-tagline {
	font-family: var(--font-family-body), sans-serif;
	font-size: var(--font-size-h5);
	text-transform: uppercase;
	letter-spacing: .3em;
	font-weight: 400;
	margin-bottom: 10px;
	color: var(--color-white);
}

.hero-content .hero-tagline .animate {
	animation-delay: .4s;
}

.hero-content h1 {
	line-height: .9;
	font-size: 3.75rem;
	color: var(--color-white);
	margin-bottom: 0;
	letter-spacing: -.035em;
}

.hero-content h1 span {
	display: block;
}

.hero-content h1 .hero-title-1 {
	animation-delay: .8s;
}

.hero-content h1 .hero-title-2 {
	animation-delay: 1.2s;
	padding-bottom: 20px;
}

.hero-content .button {
	color: var(--color-alternate);
	font-weight: 500;
	text-transform: uppercase;
	letter-spacing: .1em;
	animation-delay: 1.6s;
}

.hero-content .button i {
	font-weight: 300;
}

.hero-content .button:focus,
.hero-content .button:hover {
	color: var(--color-white);
}

.hero-block {
	padding: 18px;
	margin-top: 40px;
	background: rgba(20, 32, 66, .8);
	border: 2px solid var(--color-alternate);
	animation-delay: 1.8s;
}

.hero-price {
	font-size: 2.5rem;
	line-height: 1;
	font-weight: 500;
	letter-spacing: -.08em;
	background-image: url('../images/text-img.webp');
	background-position: center center;
	background-repeat: no-repeat;
	background-size: 100%;
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	position: relative;
}

.hero-text {
	font-size: 1.375rem;
	font-weight: 500;
	flex: 1;
	letter-spacing: -.03em;
	line-height: 1.1;
	font-family: var(--font-family-heading), sans-serif;
}

.hero-bottom {
	position: absolute;
	bottom: 20px;
	z-index: 2;
	left: 0;
	width: 100%;
	display: block;
	animation-delay: 2.2s;
}

.hero-bottom-inner {
	position: relative;
	max-width: 100%;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0 30px;
}

.hero-bottom-inner .swiper-counter {
	color: var(--color-white);
	white-space: nowrap;
	font-size: 1rem;
	margin-right: 8px;
	font-weight: 700;
	width: 40px;
}

.hero-bottom-inner .swiper-button-next {
	right: -10px;
}

.hero-bottom-inner .swiper-button-prev {
	left: -10px;
}

.hero-bottom-inner .swiper-button-next:after,
.hero-bottom-inner .swiper-button-prev:after {
	color: var(--color-white);
	font-size: 1.2rem;
}

.hero-bottom-inner .swiper-button-next:focus:after,
.hero-bottom-inner .swiper-button-next:hover:after,
.hero-bottom-inner .swiper-button-prev:focus:after,
.hero-bottom-inner .swiper-button-prev:hover:after {
	color: var(--color-white) !important;
}

.hero-pagination.swiper-pagination-bullets.swiper-pagination-horizontal {
	height: 2px;
	box-sizing: border-box;
	display: flex;
	position: relative;
	top: auto;
	bottom: auto;
	transition: all .3s;
}

.hero-pagination.swiper-pagination-bullets.swiper-pagination-horizontal .swiper-pagination-bullet {
	background: rgba(255, 255, 255, .25);
	height: 2px;
	box-sizing: border-box;
	position: relative;
	border: 0;
	opacity: 1;
	border-radius: 0;
	margin: 0;
	flex: 1;
}

.hero-pagination.swiper-pagination-bullets.swiper-pagination-horizontal .swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: var(--color-white);
}

.hero-slide:not(.swiper-slide-prev) .hero-image-large {
	clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
	transition: clip-path .6s ease-in-out;
}

.hero-slide.swiper-slide-active .hero-image-large {
	clip-path: polygon(100% 0, 0 0, 0 100%, 100% 100%);
}

@media screen and (min-width: 768px) {
	.hero-block {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		margin-top: 45px;
	}

	.hero-price {
		margin-right: 15px;
	}
}

@media screen and (min-width: 1025px) {
	.hero-inner {
		max-width: 58%;
	}

	.hero-bottom {
		bottom: 35px;
	}

	.hero-bottom-inner {
		max-width: 570px;
	}

	.hero-image {
		height: 798px;
		display: flex;
	}

	.hero-image-large {
		width: calc(100% - 400px);
	}

	.hero-image-small {
		width: 200px;
		height: 100%;
		position: relative;
		z-index: 9;
		cursor: pointer;
		overflow: hidden;
	}

	.hero-image-small img {
		display: block;
		transition: transform .4s ease-in-out;
	}

	.hero-image-small:hover img {
		transform: scale(1.05);
	}

	.hero-image-small:after {
		background: linear-gradient(to top, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 70%);
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		opacity: .35;
		z-index: 1;
	}

	.hero-image-small:before {
		background: linear-gradient(to top, rgba(29, 44, 90, 1) 0%, rgba(29, 44, 90, 0) 70%);
		opacity: .85;
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 1;
	}

	.hero-image-price {
		position: absolute;
		bottom: 107px;
		letter-spacing: -.05em;
		left: 0;
		width: 100%;
		text-align: center;
		font-weight: 200;
		font-size: 3.75rem;
		color: var(--color-white);
		z-index: 2;
		animation-delay: 2.2s;
	}

	.hero-content {
		padding-bottom: 100px;
	}

	.hero-content h1 {
		font-size: 5.525rem;
	}

	.hero-price {
		font-size: 3.75rem;
	}

	.hero-text {
		font-size: 1.625rem;
	}
}

@media screen and (min-width: 1280px) {
	.hero-inner {
		max-width: 720px;
	}

	.hero-bottom-inner {
		max-width: 760px;
	}
}

@media screen and (min-width: 1440px) {
	.hero-image-large {
		width: calc(100% - 544px);
	}

	.hero-image-small {
		width: 272px;
	}

	.hero-bottom-inner {
		max-width: 710px;
	}
}

@media screen and (min-width: 1600px) {
	.hero-bottom-inner {
		max-width: 790px;
	}
}

@media screen and (min-width: 1800px) {
	.hero-bottom-inner {
		max-width: 900px;
	}
}

@media screen and (min-width: 2000px) {
	.hero-bottom-inner {
		max-width: 1000px;
	}
}

@media screen and (min-width: 2330px) {
	.hero-bottom-inner {
		max-width: 1200px;
	}
}

/* HOME INTRO */
.home-intro {
	padding-top: 50px;
	padding-bottom: 50px;
	position: relative;
	text-align: center;
}

.home-intro:before {
	top: 0;
	left: 0;
	width: 100%;
	height: calc(100% + 10px);
	content: '';
	pointer-events: none;
	background-image: url('../images/logo-mark.svg');
	background-position: center bottom;
	background-repeat: no-repeat;
	position: absolute;
	animation-delay: .4s;
}

.animated.home-intro:before {
	animation-duration: 1000ms;
	animation-fill-mode: both;
	animation-name: fadeInUpSlight;
}

.home-intro-text h2 {
	font-size: 3.125rem;
	letter-spacing: -.04em;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.home-intro-text h2 strong {
	font-weight: 500;
	animation-delay: 2000ms;
	position: relative;
	display: inline-block;
	margin-right: 10px;
}

.home-intro-text h2 strong span {
	display: block;
	overflow: hidden;
	background-image: url('../images/text-img.webp');
	background-position: 0 center;
	background-repeat: no-repeat;
	background-size: 100%;
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
}

.home-intro-text h2 strong:before {
	content: attr(data-text);
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	color: var(--color-white);
	clip-path: inset(0 0 0 0);
	transition: clip-path 3s cubic-bezier(0.4, 0, 0.2, 1);
}

.home-intro-text.title-animated h2 strong:before {
	clip-path: inset(0 0 0 100%);
}

.home-intro-text {
	margin: 0 auto;
	max-width: 770px;
	position: relative;
}

.home-intro-text p:last-child {
	margin-bottom: 0;
}

@media screen and (min-width: 1025px) {
	.home-intro {
		padding-top: 110px;
		padding-bottom: 110px;
	}

	.home-intro-text h2 {
		font-size: 3.75rem;
	}
}
